#!/bin/sh
#
# Pulls sources for eclipse-mylyn-commons SRPM
# (org.eclipse.mylyn.commons-feature)
# 
RELEASE_TAG="R_3_5_0"

rm -fr org.eclipse.mylyn.commons
for f in \
org.eclipse.mylyn.commons.core \
org.eclipse.mylyn.commons.net \
org.eclipse.mylyn.commons.notifications \
org.eclipse.mylyn.commons.repositories \
org.eclipse.mylyn.commons.screenshots \
org.eclipse.mylyn.commons.xmlrpc \
org.eclipse.mylyn.commons.team \
org.eclipse.mylyn.commons.ui \
org.eclipse.mylyn.commons-feature; do
cvs -d :pserver:anonymous@dev.eclipse.org:/cvsroot/mylyn \
export -r ${RELEASE_TAG} org.eclipse.mylyn.commons/$f;
done

rm -f eclipse-mylyn-commons-${RELEASE_TAG}-fetched-src.tar.bz2
tar cjf eclipse-mylyn-commons-${RELEASE_TAG}-fetched-src.tar.bz2 \
	org.eclipse.mylyn.commons
